<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8" />
  <!--<meta name=description content="This site was generated with Anima. www.animaapp.com"/>-->
  <!-- <link rel="shortcut icon" type=image/png href="https://animaproject.s3.amazonaws.com/home/favicon.png" /> -->
  <meta name="viewport" content="width=1440, maximum-scale=1.0" />
  <link rel="shortcut icon" type="image/png" href="https://animaproject.s3.amazonaws.com/home/favicon.png" />
  <meta name="og:type" content="website" />
  <meta name="twitter:card" content="photo" />
  <link rel="stylesheet" type="text/css" href="css/what-to-eat-food-ordering.css" />
  <link rel="stylesheet" type="text/css" href="css/styleguide.css" />
  <link rel="stylesheet" type="text/css" href="css/globals.css" />
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.min.js"></script>
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css"
    integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
</head>

<body style="margin: 0; background: #ffffff">
  <input type="hidden" id="anPageName" name="page" value="what-to-eat-food-ordering" />
  <div class="container-center-horizontal">
    <div class="what-to-eat-food-ordering screen">
      <div class="header-section">
        <div class="menu-section-nav">
          <div class="frame-30">
            <div class="what2-eat">WHAT2EAT</div>
            <div class="frame-29">
              <div class="main-menu-top sfprotext-regular-normal-white-18px">
                <div class="main-menu-top-item">Home</div>
                <div class="main-menu-top-item">About</div>
                <div class="main-menu-top-item">Menu</div>
                <div class="main-menu-top-item">Blog</div>
                <div class="main-menu-top-item">Contact</div>
              </div>
              <img class="seach-and-cart" src="img/seach-and-cart.svg" alt="Seach and cart" />
            </div>
          </div>
        </div>
        <div class="flex-row">
          <div class="hero-display">
            <div class="display-with-text">
              <h1 class="title display-textmedium">Authentic Home food in UK</h1>
              <p class="what2-eat-is-a-courie">
                What2Eat is a courier service in which authentic home cook food is delivered to a customer.
              </p>
            </div>
            <div class="search-input-1">
              <div class="search-food-you-love-1">Search food you love</div>
              <div class="button">
                <div class="search">Search</div>
              </div>
            </div>
          </div>
          <img class="cookingmanheader" src="img/cooking-man-header.png" alt="cooking.man.header" />
        </div>
      </div>
      <div class="section-container">
        <div class="blog-section">
          <div class="blog-content">
            <div class="frame-24">
              <div class="our-blog heading-5medium">Our Blog</div>
              <div class="blog-cards">
                <div class="blog-card-left blog-card-1">
                  <div class="blog-card">
                    <img class="unsplash" src="img/unsplash-bzd6eo4cx2u@2x.png" alt="unsplash:bZD6EO4cx2U" />
                    <div class="product-card-details">
                      <div class="frame-22">
                        <div class="frame-14">
                          <p class="most-satisfying-cake sfprotext-regular-normal-bunker-16px">
                            Most Satisfying Cake decorating<br />Cake ideas
                          </p>
                        </div>
                        <p class="quis-hendrerit-nibh sfprotext-thin-eerie-black-12px">
                          Quis hendrerit nibh mauris sed faucibus.<br />Quis hendrerit nibh mauris sed faucibus.
                        </p>
                      </div>
                    </div>
                  </div>
                  <div class="blog-card">
                    <img class="unsplash" src="img/unsplash-pp88aksn4dg@2x.png" alt="unsplash:pp88AksN4dg" />
                    <div class="product-card-details">
                      <div class="frame-22">
                        <div class="frame-14">
                          <p class="most-satisfying-cake sfprotext-regular-normal-bunker-16px">
                            Most Satisfying Cake decorating<br />Cake ideas
                          </p>
                        </div>
                        <p class="quis-hendrerit-nibh sfprotext-thin-eerie-black-12px">
                          Quis hendrerit nibh mauris sed faucibus.<br />Quis hendrerit nibh mauris sed faucibus.
                        </p>
                      </div>
                    </div>
                  </div>
                </div>
                <div class="blog-card-main blog-card-1">
                  <img class="unsplashb-j277apk-pg" src="img/unsplash-b-j277apkpg@2x.png" alt="unsplash:B-j277apkPg" />
                  <div class="product-card-details-2 product-card-details-3">
                    <div class="frame-22-1">
                      <div class="frame">
                        <p class="most-satisfying-cake-1 sfprotext-regular-normal-eerie-black-16px">
                          Most Satisfying Cake decorating Cake ideas Most Satisfying Cake
                        </p>
                      </div>
                      <div class="frame">
                        <p class="quis-hendrerit-nibh-1 sfprotext-thin-eerie-black-12px">
                          Quis hendrerit nibh mauris sed faucibus. Quis hendrerit nibh mauris sed faucibus is sed
                          faucibus.
                        </p>
                      </div>
                    </div>
                  </div>
                </div>
                <div class="blog-card-right blog-card-1">
                  <div class="blog-card">
                    <img class="unsplash" src="img/unsplash-olkces2y1ea@2x.png" alt="unsplash:OlKCes2y1eA" />
                    <div class="product-card-details">
                      <div class="frame-22">
                        <div class="frame-14">
                          <p class="most-satisfying-cake sfprotext-regular-normal-bunker-16px">
                            Most Satisfying Cake decorating<br />Cake ideas
                          </p>
                        </div>
                        <p class="quis-hendrerit-nibh sfprotext-thin-eerie-black-12px">
                          Quis hendrerit nibh mauris sed faucibus.<br />Quis hendrerit nibh mauris sed faucibus.
                        </p>
                      </div>
                    </div>
                  </div>
                  <div class="blog-card">
                    <img class="unsplash" src="img/unsplash-tclqhtlkzrc@2x.png" alt="unsplash:TclQHtlkzRc" />
                    <div class="product-card-details">
                      <div class="frame-22">
                        <div class="frame-14">
                          <p class="most-satisfying-cake sfprotext-regular-normal-bunker-16px">
                            Most Satisfying Cake decorating<br />Cake ideas
                          </p>
                        </div>
                        <p class="quis-hendrerit-nibh sfprotext-thin-eerie-black-12px">
                          Quis hendrerit nibh mauris sed faucibus.<br />Quis hendrerit nibh mauris sed faucibus.
                        </p>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="kitchen-section">
          <div class="filters">
            <div class="frame-6">
              <div class="home-kitchen heading-5medium">Home Kitchen</div>
              <div class="frame-3">
                <div class="frame-4">
                  <div class="button-container">
                    <div class="button-1">
                      <div class="button-2">All</div>
                    </div>
                    <div class="button-3">
                      <div class="button-4 sfprotext-regular-normal-gray-16px">Button</div>
                    </div>
                    <div class="button-5">
                      <div class="button-6 sfprotext-regular-normal-gray-16px">Free delivery</div>
                    </div>
                    <div class="button-7">
                      <div class="button-8 sfprotext-regular-normal-gray-16px">New</div>
                    </div>
                    <div class="button-9">
                      <div class="button-10 sfprotext-regular-normal-gray-16px">Coming</div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="button-11">
              <div class="frame-20">
                <div class="button-12">Filters</div>
                <img class="card-3" src="img/card-9.svg" alt="Card" />
              </div>
            </div>
          </div>
          <div class="cards-home">

            <div class="product-card" id="product-card">
              <div class="overlap-group">
                <div class="card">
                  <div class="frame-17">
                    <div class="percent sfprotext-regular-normal-bunker-12px">50%</div>
                  </div>
                </div>
              </div>
              <div class="product-card-details-1 product-card-details-3">
                <div class="frame-16">
                  <div class="frame-14 sfprotext-regular-normal-eerie-black-16px">
                    <div class="home-made-pizza" id="pizza-name">Home made pizza</div>
                    <div class="card-1">
                      <div class="price">$19</div>
                    </div>
                  </div>
                  <div class="frame-15">
                    <div class="frame-13">
                      <div class="card-rating">
                        <img class="ant-designstar-filled" src="img/ant-design-star-filled.svg"
                          alt="ant-design:star-filled" />
                        <div class="text-rating">4.7</div>
                      </div>
                      <div class="card-2">
                        <div class="frame-12 sfprotext-regular-normal-eerie-black-12px">
                          <div class="text">50-79</div>
                          <div class="min">min</div>
                        </div>
                      </div>
                    </div>
                    <img class="card-4" src="img/card.svg" alt="Card" />
                  </div>
                </div>
              </div>
            </div>
            <div class="product-card" id="product-card">
              <img class="unsplash-1" src="img/unsplash-uxrhru8fphq@2x.png" alt="unsplash:UxRhrU8fPHQ" />
              <div class="product-card-details-1 product-card-details-3">
                <div class="frame-16">
                  <div class="frame-14">
                    <div class="home-made-pizza sfprotext-regular-normal-eerie-black-16px" id="pizza-name">Home made
                      pizza</div>
                    <div class="card-1">
                      <div class="price sfprotext-regular-normal-eerie-black-16px">$19</div>
                    </div>
                  </div>
                  <div class="frame-15">
                    <div class="frame-13">
                      <div class="card-rating">
                        <img class="ant-designstar-filled" src="img/ant-design-star-filled.svg"
                          alt="ant-design:star-filled" />
                        <div class="text-rating">4.7</div>
                      </div>
                      <div class="card-2">
                        <div class="frame-12 sfprotext-regular-normal-eerie-black-12px">
                          <div class="text">50-79</div>
                          <div class="min-8">min</div>
                        </div>
                      </div>
                    </div>
                    <img class="card-5" src="img/card-1.svg" alt="Card" />
                  </div>
                </div>
              </div>
            </div>
            <div class="product-card">
              <div class="overlap-group1">
                <div class="card">
                  <div class="frame-17">
                    <div class="x50 sfprotext-regular-normal-bunker-12px">20%</div>
                  </div>
                </div>
              </div>
              <div class="product-card-details-1 product-card-details-3">
                <div class="frame-16">
                  <div class="frame-14 sfprotext-regular-normal-eerie-black-16px">
                    <div class="home-made-pizza">Home made pizza</div>
                    <div class="card-1">
                      <div class="price">$19</div>
                    </div>
                  </div>
                  <div class="frame-15">
                    <div class="frame-13">
                      <div class="card-rating">
                        <img class="ant-designstar-filled" src="img/ant-design-star-filled.svg"
                          alt="ant-design:star-filled" />
                        <div class="text-rating">4.7</div>
                      </div>
                      <div class="card-2">
                        <div class="frame-12 sfprotext-regular-normal-eerie-black-12px">
                          <div class="text">50-79</div>
                          <div class="min-8">min</div>
                        </div>
                      </div>
                    </div>
                    <img class="card-6" src="img/card-1.svg" alt="Card" />
                  </div>
                </div>
              </div>
            </div>
            <div class="product-card">
              <img class="unsplash-1" src="img/unsplash-y6ogisigbjm@2x.png" alt="unsplash:Y6OgisiGBjM" />
              <div class="product-card-details-1 product-card-details-3">
                <div class="frame-16">
                  <div class="frame-14">
                    <div class="home-made-pizza sfprotext-regular-normal-eerie-black-16px">Home made pizza</div>
                    <div class="card-1">
                      <div class="price sfprotext-regular-normal-eerie-black-16px">$19</div>
                    </div>
                  </div>
                  <div class="frame-15">
                    <div class="frame-13">
                      <div class="card-rating">
                        <img class="ant-designstar-filled" src="img/ant-design-star-filled.svg"
                          alt="ant-design:star-filled" />
                        <div class="text-rating">4.7</div>
                      </div>
                      <div class="card-2">
                        <div class="frame-12 sfprotext-regular-normal-eerie-black-12px">
                          <div class="text">50-79</div>
                          <div class="min-8">min</div>
                        </div>
                      </div>
                    </div>
                    <img class="card-7" src="img/card.svg" alt="Card" />
                  </div>
                </div>
              </div>
            </div>


            <div class="product-card">
              <div class="overlap-group-1">
                <div class="card">
                  <div class="frame-17">
                    <div class="percent-3 sfprotext-regular-normal-bunker-12px">50%</div>
                  </div>
                </div>
              </div>
              <div class="product-card-details-1 product-card-details-3">
                <div class="frame-16">
                  <div class="frame-14 sfprotext-regular-normal-eerie-black-16px">
                    <div class="home-made-pizza">Home made pizza</div>
                    <div class="card-1">
                      <div class="price">$19</div>
                    </div>
                  </div>
                  <div class="frame-15">
                    <div class="frame-13">
                      <div class="card-rating">
                        <img class="ant-designstar-filled" src="img/ant-design-star-filled.svg"
                          alt="ant-design:star-filled" />
                        <div class="text-rating">4.7</div>
                      </div>
                      <div class="card-2">
                        <div class="frame-12 sfprotext-regular-normal-eerie-black-12px">
                          <div class="text">50-79</div>
                          <div class="min-8">min</div>
                        </div>
                      </div>
                    </div>
                    <img class="card-8" src="img/card-4.svg" alt="Card" />
                  </div>
                </div>
              </div>
            </div>
            <div class="product-card">
              <img class="unsplash-1" src="img/unsplash-60nztp7-hmq@2x.png" alt="unsplash:60nzTP7_hMQ" />
              <div class="product-card-details-1 product-card-details-3">
                <div class="frame-16">
                  <div class="frame-14">
                    <div class="home-made-pizza sfprotext-regular-normal-eerie-black-16px">Home made pizza</div>
                    <div class="card-1">
                      <div class="price sfprotext-regular-normal-eerie-black-16px">$19</div>
                    </div>
                  </div>
                  <div class="frame-15">
                    <div class="frame-13">
                      <div class="card-rating">
                        <img class="ant-designstar-filled" src="img/ant-design-star-filled.svg"
                          alt="ant-design:star-filled" />
                        <div class="text-rating">4.7</div>
                      </div>
                      <div class="card-2">
                        <div class="frame-12 sfprotext-regular-normal-eerie-black-12px">
                          <div class="text">50-79</div>
                          <div class="min-8">min</div>
                        </div>
                      </div>
                    </div>
                    <img class="card-9" src="img/card-5.svg" alt="Card" />
                  </div>
                </div>
              </div>
            </div>
            <div class="product-card">
              <div class="overlap-group1-1">
                <div class="card">
                  <div class="frame-17">
                    <div class="x50-1 sfprotext-regular-normal-bunker-12px">20%</div>
                  </div>
                </div>
              </div>
              <div class="product-card-details-1 product-card-details-3">
                <div class="frame-16">
                  <div class="frame-14 sfprotext-regular-normal-eerie-black-16px">
                    <div class="home-made-pizza">Home made pizza</div>
                    <div class="card-1">
                      <div class="price">$19</div>
                    </div>
                  </div>
                  <div class="frame-15">
                    <div class="frame-13">
                      <div class="card-rating">
                        <img class="ant-designstar-filled" src="img/ant-design-star-filled.svg"
                          alt="ant-design:star-filled" />
                        <div class="text-rating">4.7</div>
                      </div>
                      <div class="card-2">
                        <div class="frame-12 sfprotext-regular-normal-eerie-black-12px">
                          <div class="text">50-79</div>
                          <div class="min-8">min</div>
                        </div>
                      </div>
                    </div>
                    <img class="card-10" src="img/card-5.svg" alt="Card" />
                  </div>
                </div>
              </div>
            </div>
            <div class="product-card">
              <div class="overlap-group2">
                <div class="card">
                  <div class="frame-17">
                    <div class="percent-3 sfprotext-regular-normal-bunker-12px">50%</div>
                  </div>
                </div>
              </div>
              <div class="product-card-details-1 product-card-details-3">
                <div class="frame-16">
                  <div class="frame-14 sfprotext-regular-normal-eerie-black-16px">
                    <div class="home-made-pizza">Home made pizza</div>
                    <div class="card-1">
                      <div class="price">$19</div>
                    </div>
                  </div>
                  <div class="frame-15">
                    <div class="frame-13">
                      <div class="card-rating">
                        <img class="ant-designstar-filled" src="img/ant-design-star-filled.svg"
                          alt="ant-design:star-filled" />
                        <div class="text-rating">4.7</div>
                      </div>
                      <div class="card-2">
                        <div class="frame-12 sfprotext-regular-normal-eerie-black-12px">
                          <div class="text">50-79</div>
                          <div class="min-8">min</div>
                        </div>
                      </div>
                    </div>
                    <img class="card-11" src="img/card-4.svg" alt="Card" />
                  </div>
                </div>
              </div>
            </div>

            <div class="button-13">
              <div class="frame-20-1">
                <img class="card-12" src="img/card-8.svg" alt="Card" />
                <div class="button-14 sfprotext-regular-normal-gray-16px">Load more...</div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="overlap-group4">
        <img class="footer" src="img/footer.png" alt="Footer" />
        <div class="contact-us-section">
          <div class="contact-us contact">
            <div class="contact-us-form">
              <div class="contact-title contact">
                <p class="do-you-have-a-questi heading-5medium">
                  Do you have a question<br />or want to become a seller?
                </p>
                <p class="fill-this-form-and-o sfprotext-regular-normal-eerie-black-12px">
                  Fill this form and our manager will contact you next 48 hours.
                </p>
              </div>
              <div class="contact-us-box">
                <div class="search-input-2">
                  <div class="search-food-you-love sfprotext-regular-normal-gray-16px">Your message</div>
                </div>
                <div class="search-input-3">
                  <div class="search-input">
                    <div class="search-food-you-love sfprotext-regular-normal-gray-16px">Your Name</div>
                  </div>
                  <div class="search-input">
                    <div class="search-food-you-love sfprotext-regular-normal-gray-16px">Your e-mail</div>
                  </div>
                </div>
              </div>
              <div class="button-15">
                <div class="send-question">Send Question</div>
              </div>
            </div>
            <img class="food_delivery_man_riding_motorcycles" src="img/food-delivery-man-riding-motorcycles.png"
              alt="Food_delivery_man_riding_motorcycles" />
          </div>
        </div>
      </div>
    </div>
  </div>
</body>
<script>
  "use strict";
  /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
  const gREQUEST_STATUS_OK = 200;
  const gREQUEST_CREATE_OK = 201; // status 201 là tạo mới thành công
  const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;

  var gBASE_URL = "https://64747ed27de100807b1b0fa4.mockapi.io/api/v1/";
  /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
  $(document).ready(function () {
    onPageLoading();
  });
  /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
  //hàm xử lý khi load page
  function onPageLoading() {
    "use strict";
    //load all pizza
    getListPizza();
    //load all blog
    getListBlog();
  }
  /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
  // hàm get list pizza
  function getListPizza() {
    "use strict";
    var vAPI_URL = gBASE_URL + "/pizza";
    $.ajax({
      url: vAPI_URL,
      type: "GET",
      dataType: "json",
      success: function (res) {
        console.log(res);
        //gọi hàm load Pizza
        loadAllPizza(res);
      },
      error: function (err) {
        console.log(err.message);
      },
    });
  }

  // hàm load Pizza
  function loadAllPizza(paramList) {
    "use strict";
    var vCardHome = $(".cards-home");
    vCardHome.html("");
    paramList.forEach((item) => {
      var vProductCard = $("<div>", {
        class: "product-card",
      }).appendTo(vCardHome);
      //product img
      $("<img>", {
        src: item.imageUrl,
        class: "overlap-group1",
      }).appendTo(vProductCard);
      //plus sign
     
      //product name
      $("<div>", {
        html: `${item.name}`,
        class: "home-made-pizza",
      }).appendTo(vProductCard);
      //product price
      $("<div>", {
        html: `${item.price}`,
        class: "price",
      }).appendTo(vProductCard);
      //product rating
      $("<div>", {
        html: `${item.rating}`,
        class: "text-rating",
      }).appendTo(vProductCard);
      //product time
      $("<div>", {
        html: `${item.time}`,
        class: "text",
      }).appendTo(vProductCard);
    })
  }

  // // hàm get list blog
  function getListBlog() {
    "use strict";
    var vAPI_URL = gBASE_URL + "/blogs";
    $.ajax({
      url: vAPI_URL,
      type: "GET",
      dataType: "json",
      success: function (res) {
        console.log(res);
        //gọi hàm load Pizza
        loadAllBlog(res);
      },
      error: function (err) {
        console.log(err.message);
      },
    });
  }

  // hàm load Blog
  function loadAllBlog(paramList) {
    "use strict";
    var vBlogSection = $(".blog-section");
    vBlogSection.html("");
    paramList.forEach((item) => {
      var vBlogContent = $("<div>", {
        class: "blog-card",
      }).appendTo(vBlogSection);
      //blog image
      $("<img>", {
        src: item.imageUrl,
        class: "unsplash",
      }).appendTo(vBlogContent);
      //blog title
      $("<div>", {
        html: `${item.title}`,
        class: "most-satisfying-cake sfprotext-regular-normal-bunker-16px",
      }).appendTo(vBlogContent);
      //blog description
      $("<div>", {
        html: `${item.description}`,
        class: "quis-hendrerit-nibh sfprotext-thin-eerie-black-12px",
      }).appendTo(vBlogContent);
    })
  }
</script>

</html>